## evince 3.28.4

=== debian/changelog ===
evince (3.28.4-0ubuntu1.2) bionic-security; urgency=medium

  * apparmor-profile: apply hardening from Ubuntu 18.10
    - add preamble for expectations of the profile
    - evince{-previewer}: restrict access to DBus system bus (we allow full
      access to session, translation and accessibility buses for compatibility)
      + allow Get* to anything polkit allows
      + allow talking to avahi (for printing)
      + allow talking to colord (for printing)
    - make the thumbnailer more restrictive (LP: #1794848) (Closes: #909849)
      + remove evince abstraction and use only what is needed from it
      + limit access to DBus session bus
      + generally disallow writes
      + allow reads for non-hidden files
  * debian/apparmor-profile.abstraction: apply hardening from Ubuntu 18.10
    - disallow access to the dirs of private files (LP: #1788929)
  * debian/apparmor-profile: allow /bin/env ixr

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 18 Jun 2019 19:15:55 +0000

evince (3.28.4-0ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Uninitialized memory use
    - debian/patches/CVE-2019-11459.patch: handle failure
      from TIFFREADGBAImageOriented, returning NULL instead
      of displaying uninitialized memory in backend/tiff/tiff-document.c.
    - CVE-2019-11459

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 25 Apr 2019 12:30:54 -0300

evince (3.28.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1790609)
  * debian/rules:
    - add --enable-ps to keep ghostscript file visionning disabled upstream,
      (as in current bionic and cosmic)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 15 Oct 2018 11:42:54 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evince
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: adwaita-icon-theme,
               debhelper (>= 11),
               dh-apparmor,
               dpkg-dev (>= 1.16.1),
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 1.0),
               gsettings-desktop-schemas-dev,
               gtk-doc-tools (>= 1.13),
               intltool (>= 0.35.0),
               libarchive-dev (>= 3.2.0),
               libcairo2-dev (>= 1.10.0),
               libdjvulibre-dev (>= 3.5.22),
               libgail-3-dev (>= 3.0.2),
               libgdk-pixbuf2.0-dev (>= 2.36.5),
               libgirepository1.0-dev (>= 1.0),
               libglib2.0-dev (>= 2.36),
               libgnome-desktop-3-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.16.0),
               libgxps-dev (>= 0.2.1),
               libkpathsea-dev,
               libnautilus-extension-dev (>= 3.21.92-3~),
               libpoppler-glib-dev (>= 0.33.0),
               libsecret-1-dev (>= 0.5),
               libsm-dev (>= 2:1.0.0),
               libspectre-dev (>= 0.2.0),
               libtiff-dev,
               libx11-dev,
               libxml2-dev (>= 2.5.0),
               yelp-tools,
               zlib1g-dev
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/evince
Vcs-Git: https://salsa.debian.org/gnome-team/evince.git
Homepage: https://wiki.gnome.org/Apps/Evince

Package: evince
Architecture: any
Depends: evince-common (<< ${gnome:NextVersion}),
         evince-common (>= ${gnome:Version}),
         gsettings-desktop-schemas,
         libevdocument3-4 (= ${binary:Version}),
         libevview3-3 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-dbus-session-bus | dbus-session-bus
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer
Suggests: gvfs,
          nautilus-sendto,
          poppler-data,
          unrar
Breaks: apparmor-profiles-extra (<< 1.7~),
        evince-common (<< 3.20.0-2~),
        evince-gtk (<< 3.14.1-3~)
Replaces: apparmor-profiles-extra (<< 1.7~),
          evince-common (<< 3.20.0-2~),
          evince-gtk (<< 3.14.1-3~)
Enhances: nautilus
Description: Document (PostScript, PDF) viewer
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
 Document Format (PDF) and XML Paper Specification (XPS) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: evince-common
Architecture: all
Depends: ${misc:Depends}
Description: Document (PostScript, PDF) viewer - common files
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
 Document Format (PDF) and XML Paper Specification (XPS) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 This package contains architecture-independent files for evince.

Package: libevdocument3-4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: evince-common (<< 3.20.0-2~)
Replaces: evince-common (<< 3.20.0-2~)
Description: Document (PostScript, PDF) rendering library
 This package contains libevdocument, which performs the rendering of the
 documents.
 .
 It ships with a ps, pdf, dvi, tiff, djvu, comics and xps backend.

Package: libevview3-3
Architecture: any
Multi-Arch: same
Section: libs
Depends: gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Document (PostScript, PDF) rendering library - Gtk+ widgets
 This package contains libevview, which provides GTK+ widgets for displaying
 documents.

Package: libevince-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-evince-3.0 (= ${binary:Version}),
         libevdocument3-4 (= ${binary:Version}),
         libevview3-3 (= ${binary:Version}),
         libglib2.0-dev (>= 2.36.0),
         libgtk-3-dev (>= 3.16.0),
         ${misc:Depends}
Description: Document (PostScript, PDF) rendering library - development files
 This package contains evince-related libraries for rendering and displaying
 Evince documents like PostScript (PS), Encapsulated PostScript (EPS), DjVu,
 DVI, Portable Document Format (PDF) and XML Paper Specification (XPS) files.
 * libevdocument, which performs the rendering of the documents
 * libevview, which provides GTK+ widgets for displaying documents
 .
 This package provides the development headers, static libraries and
 documentation.

Package: gir1.2-evince-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-evincedocument-3.0 (= ${binary:Version}),
          gir1.2-evinceview-3.0 (= ${binary:Version})
Description: GObject introspection data for the evince libraries
 This package contains introspection data for the libevview and
 libevdocument libraries.
 .
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
 Document Format (PDF) and XML Paper Specification (XPS) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: browser-plugin-evince
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: plugin for web browsers to display documents (PostScript, PDF, …)
 This package contains a plugin to display all the document types evince can
 handle inside the browser window.
 .
 Evince is a simple multi-page document viewer.  It can display and print
 PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
 Document Format (PDF) and XML Paper Specification (XPS) files.
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

# Mozilla plugins shouldn't be installed in multi-arch path
export BROWSER_PLUGIN_DIR = /usr/lib/mozilla/plugins

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/evince \
		--enable-djvu \
		--enable-dvi \
		--enable-ps \
		--enable-xps \
		--enable-comics \
		--enable-introspection \
		--enable-gtk-doc \
		--enable-libgnome-desktop

override_dh_makeshlibs:
	dh_makeshlibs \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/nautilus/ \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/evince/ \
		-V -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='evince-dbg (<< 3.20.0-2~)'

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	dh_install
	install -m 0644 -D debian/apparmor-profile debian/evince/etc/apparmor.d/usr.bin.evince
	install -m 0644 -D debian/apparmor-profile.abstraction debian/evince/etc/apparmor.d/abstractions/evince
	install -m 0644 -D debian/evince.apport debian/evince/usr/share/apport/package-hooks/source_evince.py
	dh_apparmor --profile-name=usr.bin.evince -pevince

override_dh_missing:
	dh_missing --fail-missing

## evince 3.30.1

=== debian/changelog ===
evince (3.30.1-1ubuntu1) cosmic; urgency=medium

  * debian/apparmor-profile: adjust thumbnailer policy for updated temporary
    file path during nautilus thumbnail generation (LP: #1798091)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 16 Oct 2018 14:28:09 +0000

evince (3.30.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Jamie Strandboge ]
  * debian/apparmor-profile.abstraction, apparmor-profile: harden the profile
    - add preamble for expectations of the profile
    - evince{-previewer}: restrict access to DBus system bus (we allow full
      access to session, translation and accessibility buses for compatibility)
      + allow Get* to anything polkit allows
      + allow talking to avahi (for printing)
      + allow talking to colord (for printing)
    - make the thumbnailer more restrictive (LP: #1794848) (Closes: #909849)
      + remove evince abstraction and use only what is needed from it
      + limit access to DBus session bus
      + generally disallow writes
      + allow reads for non-hidden files
    - disallow access to the dirs of private files (LP: #1788929)
    * debian/apparmor-profile: allow /bin/env ixr

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 00:17:39 -0400

evince (3.30.0-3) unstable; urgency=medium

  [ Olivier Tilloy ]
  * AppArmor: allow executing the gio-launch-desktop helper
    (Closes: #908516)

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Sep 2018 12:19:53 +0100

evince (3.30.0-2) unstable; urgency=medium

  * Re-enable postscript since ghostscript 9.22~dfsg-3 includes the recent
    security fixes

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 04:16:23 -0400

evince (3.30.0-1) unstable; urgency=medium

  * New upstream release
    - The postscript backend has been disabled for now because
      of ghostscript security issues.
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 22:16:54 -0400

evince (3.29.92-1) experimental; urgency=medium

  * New upstream release
  * Drop the 8 cherry-picked patches applied in new release
  * Drop browser-plugin-evince since it is not longer supported by GNOME Web

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Aug 2018 15:39:06 -0400

evince (3.29.91-2) experimental; urgency=medium

  * Move addon AppStream metadata to the main package
  * Drop obsolete Breaks/Replaces
  * Cherry-pick 2 patches for Appstream metadata
  * Cherry-pick 6 patches to fix icon issues
  * Rename and refresh
    Fix-path-of-the-libnautilus-extension-with-multi-arch.patch

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 16:46:10 -0400

evince (3.29.91-1) experimental; urgency=medium

  * New upstream development release
    - User interface updates including "decluttered" headerbar
  * Build-Depend on libgspell-1-dev & libsynctex-dev
  * debian/evince.install: the AppStream metadata file was renamed
  * debian/evince.docs: This version doesn't include a README
  * debian/libevview3-3.symbols: Add new symbols
  * Bump Standards-Version to 4.2.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 14 Aug 2018 10:21:23 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: adwaita-icon-theme,
                debhelper (>= 11),
                dh-apparmor,
@@ -26,6 +26,7 @@
                libgirepository1.0-dev (>= 1.0),
                libglib2.0-dev (>= 2.36),
                libgnome-desktop-3-dev,
+               libgspell-1-dev (>= 1.6.0),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.16.0),
@@ -36,12 +37,13 @@
                libsecret-1-dev (>= 0.5),
                libsm-dev (>= 2:1.0.0),
                libspectre-dev (>= 0.2.0),
+               libsynctex-dev,
                libtiff-dev,
                libx11-dev,
                libxml2-dev (>= 2.5.0),
                yelp-tools,
                zlib1g-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evince
 Vcs-Git: https://salsa.debian.org/gnome-team/evince.git
 Homepage: https://wiki.gnome.org/Apps/Evince
@@ -64,12 +66,8 @@
           nautilus-sendto,
           poppler-data,
           unrar
-Breaks: apparmor-profiles-extra (<< 1.7~),
-        evince-common (<< 3.20.0-2~),
-        evince-gtk (<< 3.14.1-3~)
-Replaces: apparmor-profiles-extra (<< 1.7~),
-          evince-common (<< 3.20.0-2~),
-          evince-gtk (<< 3.14.1-3~)
+Breaks: libevdocument3-4 (<< 3.29.91-2~)
+Replaces: libevdocument3-4 (<< 3.29.91-2~)
 Enhances: nautilus
 Description: Document (PostScript, PDF) viewer
  Evince is a simple multi-page document viewer.  It can display and print
@@ -98,8 +96,6 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: evince-common (<< 3.20.0-2~)
-Replaces: evince-common (<< 3.20.0-2~)
 Description: Document (PostScript, PDF) rendering library
  This package contains libevdocument, which performs the rendering of the
  documents.
@@ -159,18 +155,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-Package: browser-plugin-evince
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: plugin for web browsers to display documents (PostScript, PDF, …)
- This package contains a plugin to display all the document types evince can
- handle inside the browser window.
- .
- Evince is a simple multi-page document viewer.  It can display and print
- PostScript (PS), Encapsulated PostScript (EPS), DjVu, DVI, Portable
- Document Format (PDF) and XML Paper Specification (XPS) files.
- When supported by the document, it also allows searching for text,
- copying text to the clipboard, hypertext navigation, and
- table-of-contents bookmarks.

## evince 3.30.2

=== debian/changelog ===
evince (3.30.2-3+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * tiff: Handle failure from TIFFReadRGBAImageOriented (CVE-2019-11459)
    (Closes: #927820)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 12 Feb 2020 21:46:12 +0100

evince (3.30.2-3) unstable; urgency=medium

  [ Jason Crain ]
  * debian/apparmor-profile: Allow Illustrator .ai files (Closes: #920233)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 28 Jan 2019 19:48:11 -0500

evince (3.30.2-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 20:31:41 -0500

evince (3.30.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Jamie Strandboge ]
  * debian/apparmor-profile: Update thumbnailer policy
    for temporary file path with and without bubblewrap (LP: #1798091)
    (Closes: #911161)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Nov 2018 17:30:50 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: evince
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: adwaita-icon-theme,
                debhelper (>= 11),
                dh-apparmor,
@@ -43,7 +42,7 @@
                libxml2-dev (>= 2.5.0),
                yelp-tools,
                zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evince
 Vcs-Git: https://salsa.debian.org/gnome-team/evince.git
 Homepage: https://wiki.gnome.org/Apps/Evince

## evince 3.30.2.1

=== debian/changelog ===
evince (3.30.2.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: e50df93e2a8fbeae9cc45555ff71c492abbf6030']

 -- shuttle <shuttle@deepin.com>  Wed, 27 Nov 2019 11:17:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: 
 Build-Depends: adwaita-icon-theme,
                debhelper (>= 11),
                dh-apparmor,

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 # Mozilla plugins shouldn't be installed in multi-arch path
 export BROWSER_PLUGIN_DIR = /usr/lib/mozilla/plugins
@@ -17,6 +16,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/evince \
+		--disable-browser-plugin \
 		--enable-djvu \
 		--enable-dvi \
 		--enable-ps \

## evince 3.32.0

=== debian/changelog ===
evince (3.32.0-1ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Uninitialized memory use
    - debian/patches/CVE-2019-11459.patch: handle failure
      from TIFFREADGBAImageOriented, returning NULL instead
      of displaying uninitialized memory in backend/tiff/tiff-document.c.
    - CVE-2019-11459

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 25 Apr 2019 12:22:52 -0300

evince (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Mar 2019 11:10:37 +0100

evince (3.31.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Mar 2019 17:20:56 +0100

evince (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop Build-Depends on intltool

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Feb 2019 21:48:27 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Source: evince
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: adwaita-icon-theme,
+               appstream,
                debhelper (>= 11),
                dh-apparmor,
                dpkg-dev (>= 1.16.1),
@@ -16,7 +18,7 @@
                gobject-introspection (>= 1.0),
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.13),
-               intltool (>= 0.35.0),
+               itstool,
                libarchive-dev (>= 3.2.0),
                libcairo2-dev (>= 1.10.0),
                libdjvulibre-dev (>= 3.5.22),

## evince 3.34.1

=== debian/changelog ===
evince (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libevview3-3.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Oct 2019 19:28:39 -0400

evince (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.38.0
  * Drop tiff-Handle-failure patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Sep 2019 15:59:58 -0400

evince (3.32.0-3) unstable; urgency=medium

  * Team upload
  * d/tests/libevince-dev: Add a superficial build test
  * Use debhelper-compat 12
  * Enable gir and gnome debhelper addons via dh-sequence-*
    build-dependencies
  * d/*.symbols: Add Build-Depends-Package field
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Update AppArmor profiles from Ubuntu (thanks to Jamie Strandboge):
    + debian/apparmor-profile:
      - allow 'rk' on @{HOME}/.config/enchant/* in evince
      - add additional org.gtk.vfs rules for metadata and List* DBus APIs
      - silence noisy denial for mktexpk, mktextfm, dvipdfm, dvipdfmx and
        mkofm since with the new gnome-desktop3 sandboxed invocation of
        NO_NEW_PRIVS blocks transition to sanitized_helper. In addition,
        thumbnails are generated just fine without these
      - allow access to @{PROC}/@{pid}/fd/, @{PROC}/@{pid}/mountinfo and
        /sys/devices/system/cpu/ in the thumbnailer (needed by some helpers)
      - allow 'r' on @{HOME}/.texmf*/** in the thumbnailer
      - update gnome-desktop and add evince-thumbnailer /tmp file paths
      - allow read on '/' and deny write on /missfont.log which is happening
        now due to new sandboxed thumbnailer invocation
    + debian/apparmor-profile.abstraction: allow directory read on
      /var/lib/texmf
    (Closes: #930707)
  * d/p/tiff-Handle-failure-from-TIFFReadRGBAImageOriented.patch:
    Add patch from upstream to avoid displaying uninitialized memory if
    TIFFREADGBAImageOriented fails. Thanks to Leonidas S. Barbosa / Ubuntu.
    (Closes: #927820, CVE-2019-11459)
  * Remove migration path from legacy -dbg package older than Debian 9

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Sep 2019 09:52:04 +0100

evince (3.32.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Sep 2019 15:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Source: evince
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: adwaita-icon-theme,
                appstream,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-apparmor,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                dpkg-dev (>= 1.16.1),
                gnome-common,
                gnome-pkg-tools (>= 0.10),
@@ -25,7 +26,7 @@
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
                libgirepository1.0-dev (>= 1.0),
-               libglib2.0-dev (>= 2.36),
+               libglib2.0-dev (>= 2.38),
                libgnome-desktop-3-dev,
                libgspell-1-dev (>= 1.6.0),
                libgstreamer-plugins-base1.0-dev,
@@ -44,7 +45,8 @@
                libxml2-dev (>= 2.5.0),
                yelp-tools,
                zlib1g-dev
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evince
 Vcs-Git: https://salsa.debian.org/gnome-team/evince.git
 Homepage: https://wiki.gnome.org/Apps/Evince
@@ -121,7 +123,7 @@
 Depends: gir1.2-evince-3.0 (= ${binary:Version}),
          libevdocument3-4 (= ${binary:Version}),
          libevview3-3 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.36.0),
+         libglib2.0-dev (>= 2.38.0),
          libgtk-3-dev (>= 3.16.0),
          ${misc:Depends}
 Description: Document (PostScript, PDF) rendering library - development files

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export BROWSER_PLUGIN_DIR = /usr/lib/mozilla/plugins
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -32,9 +32,6 @@
 		-X /usr/lib/$(DEB_HOST_MULTIARCH)/evince/ \
 		-V -- -c4
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='evince-dbg (<< 3.20.0-2~)'
-
 override_dh_install:
 	find debian/tmp -name '*.a' -print -delete
 	find debian/tmp -name '*.la' -print -delete

## evince 3.36.0

=== meson_options.txt ===
option('platform', type: 'combo', choices: ['gnome', 'win32'], value: 'gnome', description: 'for which platform to build')

option('viewer', type: 'boolean', value: true, description: 'whether Viewer support is requested')
option('previewer', type: 'boolean', value: true, description: 'whether Previewer support is requested')
option('thumbnailer', type: 'boolean', value: true, description: 'whether Thumbnailer support is requested')
option('browser_plugin', type: 'boolean', value: false, description: 'whether Browser Plugin support is requested')
option('nautilus', type: 'boolean', value: true, description: 'whether Nautilus support is requested')

option('comics', type: 'feature', value: 'auto', description: 'whether Comics support is requested')
option('djvu', type: 'feature', value: 'auto', description: 'whether DJVU support is requested')
option('dvi', type: 'feature', value: 'auto', description: 'whether DVI support is requested')
option('pdf', type: 'feature', value: 'auto', description: 'whether PDF support is requested')
option('ps', type: 'feature', value: 'disabled', description: 'whether PS support is requested')
option('tiff', type: 'feature', value: 'auto', description: 'whether TIFF support is requested')
option('xps', type: 'feature', value: 'auto', description: 'whether XPS support is requested')

option('gtk_doc', type: 'boolean', value: true, description: 'whether GTK Doc reference is requested')
option('introspection', type: 'boolean', value: true, description: 'whether introspection support is requested')
option('dbus', type: 'boolean', value: true, description: 'whether DBUS support is requested')
option('keyring', type: 'feature', value: 'auto', description: 'whether keyring support is requested')
option('gtk_unix_print', type: 'feature', value: 'auto', description: 'whether gtk+-unix-print support is requested')
option('thumbnail_cache', type: 'feature', value: 'auto', description: 'whether GNOME Desktop (Thumbnail cache) is requested')
option('multimedia', type: 'feature', value: 'auto', description: 'whether multimedia support is requested')
option('gspell', type: 'feature', value: 'auto', description: 'whether gpsell support is requested')

option('t1lib', type: 'feature', value: 'auto', description: 'whether support of t1lib for type1 fonts in dvi is requested')

option('browser_plugin_dir', type: 'string', value: 'mozilla/plugins', description: 'custom directory for browser plugin')
option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units, or \'no\' to disable')

=== debian/changelog ===
evince (3.36.0-2) unstable; urgency=medium

  * Team upload
  * d/apparmor-profile.abstraction:
    Allow running dash/bash with inherited AppArmor profile.
    GDesktopAppInfo in GLib 2.64.x uses a one-line shell script to carry
    out some setup when launching .desktop files, for example as a
    URL handler. (Closes: #954013)

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Mar 2020 10:55:42 +0000

evince (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Move evinced executable to /usr/libexec
  * debian/control.in: Add some -doc to the build-dependencies so the links
    between documentation are properly resolved

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 19:48:51 +0100

evince (3.35.92-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated nautilus requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 15:29:14 +0100

evince (3.35.1-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/tests: Use correct compiler for proposed autopkgtest
    cross-architecture testing support
  * d/tests: Remove unused ${srcdir}

  [ Sebastien Bacher ]
  * New upstream release
  * debian/libevview3-3.symbols, debian/libevdocument3-4.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 06 Feb 2020 11:26:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/evince \
 		--disable-browser-plugin \
 		--enable-djvu \
 		--enable-dvi \

## evince 3.36.10

=== debian/changelog ===
evince (3.36.10-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1922216)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Apr 2021 11:35:10 +0200

evince (3.36.7-0ubuntu1) focal; urgency=medium

  * New upstream version (lp: #1886565)
  * debian/patches/git_armhf_build.patch:
    - remove, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jul 2020 15:20:31 +0200

evince (3.36.5-0ubuntu1) focal; urgency=medium

  * New upstream release (lp: #1879475)
  * debian/patches/git_armhf_build.patch:
    - cherry pick an upstream fix 'backend: Fix -Werror=format=2 on
      dvi', fixes the build on armhf
  * debian/rules:
    - override the dh_translations call to delete the outdated template
      which is provided by upstream (lp: #1877401)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 May 2020 16:23:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: adwaita-icon-theme,
                appstream,
                debhelper-compat (= 12),
@@ -25,16 +25,20 @@
                libdjvulibre-dev (>= 3.5.22),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libgdk-pixbuf2.0-doc,
                libgirepository1.0-dev (>= 1.0),
                libglib2.0-dev (>= 2.38),
+               libglib2.0-doc,
                libgnome-desktop-3-dev,
                libgspell-1-dev (>= 1.6.0),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.16.0),
+               libgtk-3-doc,
                libgxps-dev (>= 0.2.1),
                libkpathsea-dev,
-               libnautilus-extension-dev (>= 3.21.92-3~),
+               libnautilus-extension-dev (>= 3.28),
+               libpango1.0-doc,
                libpoppler-glib-dev (>= 0.33.0),
                libsecret-1-dev (>= 0.5),
                libsm-dev (>= 2:1.0.0),
@@ -46,7 +50,7 @@
                yelp-tools,
                zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evince
 Vcs-Git: https://salsa.debian.org/gnome-team/evince.git
 Homepage: https://wiki.gnome.org/Apps/Evince

=== debian/rules ===
--- 
+++ 
@@ -42,3 +42,10 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# Hack since the upstream release tarball includes an outdated po/evince.pot
+# file. This makes dh_translations create a fresh one when building.
+# https://gitlab.gnome.org/GNOME/evince/-/issues/1387
+override_dh_translations:
+	rm po/evince.pot
+	dh_translations

## evince 3.38.0

=== debian/changelog ===
evince (3.38.0-1) unstable; urgency=medium

  * New upstream release:
    - dvi: minus sign doesn't appear with mathdesign fonts
    - pdf: Reimplement 'de facto' tooltip with no ABI break
  * debian/patches: Drop (applied upstream)
  * debian/libevdocument3-4.symbols: Update symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 13:54:37 +0200

evince (3.37.90-2) experimental; urgency=medium

  * debian/control.in:
    - Build-Depends on meson

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Sep 2020 10:37:10 +0200

evince (3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated the gdk-pixbuf version requirement
  * d/p/Fix-path-of-the-libnautilus-extension-with-multi-arch.patch:
    - removed, it doesn't seem to be needed anymore
  * d/p/gitlab_backends_build.patch:
    - use the correct libraries to build the backends
  * debian/rules:
    - remove the dh_translations override which is not needed anymore
    - updated to meson

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Sep 2020 17:37:08 +0200

evince (3.36.7-1) unstable; urgency=medium

  * New upstream release (lp: #1886565)
  * debian/patches/git_armhf_build.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jul 2020 21:35:49 +0200

evince (3.36.5-2) unstable; urgency=medium

  * debian/patches/git_armhf_build.patch:
    - cherry pick an upstream fix 'backend: Fix -Werror=format=2 on
      dvi', fixes the build on armhf

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jun 2020 16:47:05 +0200

evince (3.36.5-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jun 2020 15:13:01 +0200

evince (3.36.4-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Jun 2020 15:32:53 +0200

evince (3.36.1-1) unstable; urgency=medium

  * New upstream release (lp: #1879475)
  * debian/rules:
    - override the dh_translations call to delete the outdated template
      which is provided by upstream (lp: #1877401)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 May 2020 16:23:45 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libcairo2-dev (>= 1.10.0),
                libdjvulibre-dev (>= 3.5.22),
                libgail-3-dev (>= 3.0.2),
-               libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libgdk-pixbuf2.0-dev (>= 2.40),
                libgdk-pixbuf2.0-doc,
                libgirepository1.0-dev (>= 1.0),
                libglib2.0-dev (>= 2.38),
@@ -47,6 +47,7 @@
                libtiff-dev,
                libx11-dev,
                libxml2-dev (>= 2.5.0),
+               meson (>= 0.50),
                yelp-tools,
                zlib1g-dev
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -8,22 +8,20 @@
 export BROWSER_PLUGIN_DIR = /usr/lib/mozilla/plugins
 
 %:
-	dh $@
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--disable-browser-plugin \
-		--enable-djvu \
-		--enable-dvi \
-		--enable-ps \
-		--enable-xps \
-		--enable-comics \
-		--enable-introspection \
-		--enable-gtk-doc \
-		--enable-libgnome-desktop
+		-Dbrowser_plugin=false \
+		-Ddjvu=enabled \
+		-Ddvi=enabled \
+		-Dps=enabled \
+		-Dxps=enabled \
+		-Dcomics=enabled \
+		-Dintrospection=true \
+		-Dgtk_doc=true \
+		-Dtiff=enabled \
+		-Dthumbnail_cache=enabled
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
@@ -42,10 +40,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-# Hack since the upstream release tarball includes an outdated po/evince.pot
-# file. This makes dh_translations create a fresh one when building.
-# https://gitlab.gnome.org/GNOME/evince/-/issues/1387
-override_dh_translations:
-	rm po/evince.pot
-	dh_translations

## evince 3.38.2

=== debian/changelog ===
evince (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release (Closes: #982938)
    - Fix regression with presentations on a scaled X11 display
    - Unescape URIs to display them in tooltips
    - Make Esc cancel any annotation in progress
    - If a search match is not in the page, iterate to the next
    - Take device scale into account for link previews
    - Don't trust X11 or Wayland DPI values
    - Don't use compatibility canonicalization when copying to clipboard
    - Translation updates
  * d/watch: Only watch for stable-branch releases
  * Use upstream/3.38.x branch for upstream source.
    The first 3.39.x versions have already been released.
  * Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Feb 2021 23:46:35 +0000

evince (3.38.0-3) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/changelog: Trim trailing whitespace
  * d/upstream/metadata: Add
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 12:00:32 +0000

evince (3.38.0-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * debian/rules: Enable all auto features (except t1lib).
    This allows simplifying our configure rules.
  * Stop using -Wl,--as-needed, which is the bullseye toolchain's default
  * Remove remnants of the Autotools build that are no longer necessary

  [ Simon McVittie ]
  * d/p/Remove-ability-to-launch-actions.patch:
    Add security hardening from upstream gnome-3-38 branch.
    The PDF specification defines "Launch Action", which allows documents
    to launch arbitrary applications. It appears that in practice this is
    only used by malware. Evince never *deliberately* allowed arbitrary
    code execution like this (even though the spec said it should), only
    opening documents in external MIME handlers, but some MIME handlers
    result in arbitrary code execution anyway.
  * Remove obsolete gnome-common build-dependency.
    This has been unnecessary ever since evince moved to the Meson build
    system. (Closes: #829976)
  * d/p/Make-the-build-reproducible.patch:
    Add patch from Chris Lamb to make the build reproducible
    (Closes: #970383)

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Oct 2020 10:49:10 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                dpkg-dev (>= 1.16.1),
-               gnome-common,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 1.0),
                gsettings-desktop-schemas-dev,
@@ -24,7 +23,7 @@
                libcairo2-dev (>= 1.10.0),
                libdjvulibre-dev (>= 3.5.22),
                libgail-3-dev (>= 3.0.2),
-               libgdk-pixbuf2.0-dev (>= 2.40),
+               libgdk-pixbuf-2.0-dev (>= 2.40) | libgdk-pixbuf2.0-dev (>= 2.40),
                libgdk-pixbuf2.0-doc,
                libgirepository1.0-dev (>= 1.0),
                libglib2.0-dev (>= 2.38),
@@ -51,7 +50,7 @@
                yelp-tools,
                zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/evince
 Vcs-Git: https://salsa.debian.org/gnome-team/evince.git
 Homepage: https://wiki.gnome.org/Apps/Evince

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dps=enabled \
		-Dt1lib=disabled \
		-Dintrospection=true \
		-Dgtk_doc=true

override_dh_makeshlibs:
	dh_makeshlibs \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/nautilus/ \
		-X /usr/lib/$(DEB_HOST_MULTIARCH)/evince/ \
		-V -- -c4

override_dh_install:
	dh_install
	install -m 0644 -D debian/apparmor-profile debian/evince/etc/apparmor.d/usr.bin.evince
	install -m 0644 -D debian/apparmor-profile.abstraction debian/evince/etc/apparmor.d/abstractions/evince
	install -m 0644 -D debian/evince.apport debian/evince/usr/share/apport/package-hooks/source_evince.py
	dh_apparmor --profile-name=usr.bin.evince -pevince

override_dh_missing:
	dh_missing --fail-missing

## evince 40.1

=== debian/changelog ===
evince (40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: workaround gnome-pkg-tools gnome computation being
    broken with the new version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Apr 2021 17:23:34 +0200

evince (3.39.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - build with libhandy
  * debian/libevdocument3-4.symbols:
    - updated symbols lists
  * debian/patches/Make-the-build-reproducible.patch:
    - removed, the issue is fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 13:41:12 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                libgtk-3-dev (>= 3.16.0),
                libgtk-3-doc,
                libgxps-dev (>= 0.2.1),
+               libhandy-1-dev (>= 1.0),
                libkpathsea-dev,
                libnautilus-extension-dev (>= 3.28),
                libpango1.0-doc,
@@ -57,8 +58,9 @@
 
 Package: evince
 Architecture: any
-Depends: evince-common (<< ${gnome:NextVersion}),
-         evince-common (>= ${gnome:Version}),
+# ${gnome:NextVersion} isn't working with GNOME 40 yet
+Depends: evince-common (<< 41),
+         evince-common (>= 40),
          gsettings-desktop-schemas,
          libevdocument3-4 (= ${binary:Version}),
          libevview3-3 (= ${binary:Version}),

## evince 40.4

=== debian/changelog ===
evince (40.4-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 18:43:09 -0400

evince (40.4-1) experimental; urgency=medium

  * New upstream release
  * Revert "debian/control.in: workaround gnome-pkg-tools"
  * debian/control.in: Build-Depend on dh-sequence-gnome >= 22
    for updated gnome:NextVersion
  * debian/watch: Update for GNOME 40 style version numbering

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Jul 2021 12:12:39 -0400

evince (40.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Jun 2021 13:57:10 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
                debhelper-compat (= 12),
                dh-apparmor,
                dh-sequence-gir,
-               dh-sequence-gnome,
+               dh-sequence-gnome (>= 0.22),
                dpkg-dev (>= 1.16.1),
-               gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 1.0),
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.13),
@@ -58,9 +57,8 @@
 
 Package: evince
 Architecture: any
-# ${gnome:NextVersion} isn't working with GNOME 40 yet
-Depends: evince-common (<< 41),
-         evince-common (>= 40),
+Depends: evince-common (<< ${gnome:NextVersion}),
+         evince-common (>= ${gnome:Version}),
          gsettings-desktop-schemas,
          libevdocument3-4 (= ${binary:Version}),
          libevview3-3 (= ${binary:Version}),
